<?php
/**
 * Created by JetBrains PhpStorm.
 * User: leonardocarvalho
 * Date: 22/08/13
 * Time: 15:00
 * To change this template use File | Settings | File Templates.
 */
namespace BancoTalentos\Logic\Cadastros;

use Geral\Entities\Filioper;
use Geral\Entities\GpeParamoper;
use Geral\Entities\Grupoper;
use Geral\Entities\Opergrupop;
use Geral\Util\DateUtil;
use Symfony\Component\Config\Definition\Exception\Exception;
use Service\OperadorService;


class Operador {

    const IDTPDTCOMPETE = 'OPERADOR';
    const IDMENUPRINOP = 'N';
    private $operador;

    /**
     * @param $nmoperador
     * @param $nmacesso
     * @param $dtnascimento
     * @param $idligextoper
     * @param $idatuoperador
     * @param $nrorg
     * @param $cdprochabaprope
     * @param $cdprochabfecope
     * @param null $cdfilial
     * @param $cdsenhaoperweb
     * @param $dsemailoper
     * @param $nrparcnegocio
     */
    public function novoOperador($nmoperador,$nmacesso,$dtnascimento,$idligextoper,$idatuoperador,$nrorg,
                                 $cdprochabaprope,$cdprochabfecope,$cdfilial = null,$cdsenhaoperweb,$dsemailoper,$nrparcnegocio, $serviceOperador){

        $this->operador = new \Geral\Entities\Operador();

//        $this->operador->setCdoperador($cdoperador);
        $this->operador->setNmoperador($nmoperador);
        $this->operador->setNmacesso($nmacesso);
        $this->operador->setIdligextoper($idligextoper);
        $this->operador->setIdatuoperador($idatuoperador);
        $this->operador->setNrorg($nrorg);
        $this->operador->setNrorgtrab($nrorg);
        $this->operador->setCdprochabaprope($cdprochabaprope);
        $this->operador->setCdprochabfecope($cdprochabfecope);
        $this->operador->setCdfilialselecionada($cdfilial);
        $this->operador->setCdsenhaoperweb(md5($cdsenhaoperweb));
        $this->operador->setDsemailoper($dsemailoper);
        $this->operador->setNrparcnegocio($nrparcnegocio);
        $this->operador->setDtinclusao(DateUtil::getDataAtual());
        $this->operador->setIdativo('S');

        if (!($dtnascimento instanceof \DateTime)) {
            $this->operador->setDtnascimento(DateUtil::getDataDeString($dtnascimento));
        }
        
        $this->operador->setCdoperador((string)$serviceOperador->getNextId());
        $this->operador->persist();
        //$this->operador->beforeInsertOperador();

        $this->setCdoperador($this->operador->getCdoperador());

        \Setforms2\Shared\Registry::getEntityManager()->flush();

    }

    /**
     * @param $cdoperador
     * @param $cdfilial
     * @param $nrorg
     * @param $nrorgfilial
     * @param $dtinclusao
     */
    public function filiOper($cdoperador,$cdfilial,$nrorg,$nrorgfilial,$dtinclusao){

        $filioper = new Filioper();

        $filioper->setCdoperador($cdoperador);
        $filioper->setCdfilial($cdfilial);
        $filioper->setNrorg($nrorg);
        $filioper->setNrorgfilial($nrorgfilial);
        $filioper->setDtinclusao($dtinclusao);

        $filioper->persist();

    }

    /**
     * @param $cdoperador
     * @param $nrorg
     * @param $dtmescompetenc
     * @param null $idtpdtcompete
     * @param $nrorgtrab
     * @param $iddebug
     * @param $dtinclusao
     */
    public static function gpeParamOper($cdoperador,$nrorg,$dtmescompetenc,$idtpdtcompete = null,$nrorgtrab,$iddebug,$dtinclusao){
        $idtpdtcompete = self::IDTPDTCOMPETE;

        $gpeparamoper = new GpeParamoper();

        $gpeparamoper->setCdoperador($cdoperador);
        $gpeparamoper->setNrorg($nrorg);
        $gpeparamoper->setIdtpdtcompete($idtpdtcompete);
        $gpeparamoper->setNrorgtrab($nrorgtrab);
        $gpeparamoper->setIddebug($iddebug);
        $gpeparamoper->setDtinclusao($dtinclusao);

        if (!($dtmescompetenc instanceof \DateTime)) {
            $gpeparamoper->setDtmescompetenc(DateUtil::getDataDeString($dtmescompetenc));
        }

        $gpeparamoper->persist();
        \Setforms2\Shared\Registry::getEntityManager()->flush();

    }

    /**
     * @param $nrorg
     * @param $nrorgoper
     * @param $cdoperador
     * @param $dtinclusao
     */
    public function gpeOrgRelOper($nrorg,$nrorgoper,$cdoperador,$dtinclusao){

        $gpeorgreloper = new \GpeOrgreloperEntity();

        $gpeorgreloper->setNrorg($nrorg);
        $gpeorgreloper->setNrorgoper($nrorgoper);
        $gpeorgreloper->setCdoperador($cdoperador);
        $gpeorgreloper->setDtinclusao($dtinclusao);

        //$gpeorgreloper->beforeInsertOrgreloper();
        $gpeorgreloper->setNrorgreloper(\Geral\Util\NovoCodigo::geraCodigo($nrorg, 'GPE_ORGRELOPER', 1, 10, true));

        $gpeorgreloper->persist();

    }

    /**
     * @param $cdgrupoper
     * @param $nrorg
     * @param $cdoperador
     * @param $dtinclusao
     */
    public function OperGroupOp($cdgrupoper,$nrorg,$cdoperador,$dtinclusao){

        $grupoper = Grupoper::findOneByCdgrupoperAndNrorg($cdgrupoper, $nrorg);

        if (is_object($grupoper)) {
            $opergroupop = new Opergrupop();

            $opergroupop->setCdgrupoper($cdgrupoper);
            $opergroupop->setNrorg($nrorg);
            $opergroupop->setCdoperador($cdoperador);
            $opergroupop->setIdmenuprinop(self::IDMENUPRINOP);
            $opergroupop->setDtinclusao($dtinclusao);
            $opergroupop->setIdativo('S');

            $opergroupop->persist();
            \Setforms2\Shared\Registry::getEntityManager()->flush();
        }
    }


    /**
     * Verifica se o e-mail já foi usado para outro usuário.
     *
     * @param string $email E-mail do Operador.
     *
     * @throws \Symfony\Component\Config\Definition\Exception\Exception
     * @return boolean
     *
     * @author leonardocarvalho
     * @version 05/09/2013
     */
    public static function existeEmailCadastrado($email){

        try{
            return \OperadorEntity::existeEmailCadastrado($email);
        }
        catch(Exception $e){
            throw new Exception($e->getMessage());
        }

    }

    /**
     * @param $cdoperador
     * @return \ParcnegocioEntity
     */
    public function setCdoperador($cdoperador)
    {
        //tk_set_env_var('CDOPERADOR', $cdoperador);
        $this->cdoperador = $cdoperador;
    }

    /**
     * @return mixed
     */
    public function getCdoperador(){
        return $this->cdoperador;
    }
}