/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_CLASSFINANC                                              */
/* Tabela : CLASSFINANC                                                       */
/*                                                                            */
/* Criao:                                                                   */
/* 08/03/2004 - Pedro Nerino Viol de Lima                                     */
/*                                                                            */
/******************************************************************************/

IF EXISTS (SELECT * FROM sysobjects O, sysusers U
           WHERE
             o.name = 'DTULTATU_CLASSFINANC' and
             type = 'TR'                     and
             u.uid = o.uid                   and
             u.name = USER)

DROP TRIGGER DTULTATU_CLASSFINANC
GO

CREATE TRIGGER DTULTATU_CLASSFINANC
ON CLASSFINANC
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'CLASSFINANC', 'CDCLASSFINA=' + CDCLASSFINA+';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE CLASSFINANC
      SET DTULTATUCFIN = GETDATE()
      FROM INSERTED
      WHERE ISNULL(CLASSFINANC.CDCLASSFINA,0) = ISNULL(INSERTED.CDCLASSFINA,0);
   END;
END;
GO

